Get all categories
The “Get all categories” Api return the blog categoies for a given location ID
GET
/
blogs
/
categories
Get all categories
curl --request GET \
--url https://services.leadconnectorhq.com/blogs/categories \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.leadconnectorhq.com/blogs/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/blogs/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"categories": [
{
"locationId": "<string>",
"label": "<string>",
"urlSlug": "<string>",
"imageUrl": "<string>",
"description": "<string>",
"imageAltText": "<string>",
"originId": "<string>",
"canonicalLink": "<string>"
}
]
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Query Parameters
Last modified on March 8, 2026
Was this page helpful?
Get all categories
curl --request GET \
--url https://services.leadconnectorhq.com/blogs/categories \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.leadconnectorhq.com/blogs/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/blogs/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"categories": [
{
"locationId": "<string>",
"label": "<string>",
"urlSlug": "<string>",
"imageUrl": "<string>",
"description": "<string>",
"imageAltText": "<string>",
"originId": "<string>",
"canonicalLink": "<string>"
}
]
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}